## calculix-ccx 2.8p2

=== ccx_2.8p2/src/Makefile ===

CFLAGS = -Wall -O3  -I ../../../SPOOLES.2.2 -DARCH="Linux" -DSPOOLES -DARPACK -DMATRIXSTORAGE
FFLAGS = -Wall -O3 -fopenmp

CC=cc
FC=gfortran

.c.o :
	$(CC) $(CFLAGS) -c $<
.f.o :
	$(FC) $(FFLAGS) -c $<

include Makefile.inc

SCCXMAIN = ccx_2.8p2.c

OCCXF = $(SCCXF:.f=.o)
OCCXC = $(SCCXC:.c=.o)
OCCXMAIN = $(SCCXMAIN:.c=.o)

DIR=../../../SPOOLES.2.2

LIBS = \
       $(DIR)/spooles.a \
	../../../ARPACK/libarpack_INTEL.a \
       -lpthread -lm -lc

ccx_2.8p2: $(OCCXMAIN) ccx_2.8p2.a  $(LIBS)
	./date.pl; $(CC) $(CFLAGS) -c ccx_2.8p2.c; $(FC) -fopenmp -Wall -O3 -o $@ $(OCCXMAIN) ccx_2.8p2.a $(LIBS)

ccx_2.8p2.a: $(OCCXF) $(OCCXC)
	ar vr $@ $?

=== debian/changelog ===
calculix-ccx (2.8p2-1) unstable; urgency=medium

  * Initial release (Closes: #767617)
  * Added autopkgtest

 -- Wolfgang Fütterer <debian@wlf-online.de>  Wed, 14 Oct 2015 12:46:44 +0200

=== debian/rules ===
#!/usr/bin/make -f
CCX_VERSION=2.8p2
CCX_SRC=ccx_${CCX_VERSION}/src
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

UPSTREAM_CFLAGS = -Wall -I/usr/include/spooles -DARCH="Linux" -DSPOOLES -DARPACK -DMATRIXSTORAGE -DUSE_MT=1

%:
	dh $@ -D${CCX_SRC}

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(UPSTREAM_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"

override_dh_auto_install:
	cp -v ${CCX_SRC}/ccx_${CCX_VERSION} ${CCX_SRC}/ccx

override_dh_auto_clean:
	rm -f ${CCX_SRC}/*.o
	rm -f ${CCX_SRC}/*.a
	rm -f ${CCX_SRC}/ccx_${CCX_VERSION}
	rm -f ${CCX_SRC}/ccx

## calculix-ccx 2.9

=== ccx_2.9/src/Makefile ===

CFLAGS = -Wall -O3  -I ../../../SPOOLES.2.2 -DARCH="Linux" -DSPOOLES -DARPACK -DMATRIXSTORAGE
#FFLAGS = -Wall -O3 -fopenmp -fmax-stack-var-size=80000
FFLAGS = -Wall -O3 -fopenmp

CC=cc
FC=gfortran

.c.o :
	$(CC) $(CFLAGS) -c $<
.f.o :
	$(FC) $(FFLAGS) -c $<

include Makefile.inc

SCCXMAIN = ccx_2.9.c

OCCXF = $(SCCXF:.f=.o)
OCCXC = $(SCCXC:.c=.o)
OCCXMAIN = $(SCCXMAIN:.c=.o)

DIR=../../../SPOOLES.2.2

LIBS = \
       $(DIR)/spooles.a \
	../../../ARPACK/libarpack_INTEL.a \
       -lpthread -lm -lc

ccx_2.9: $(OCCXMAIN) ccx_2.9.a  $(LIBS)
	./date.pl; $(CC) $(CFLAGS) -c ccx_2.9.c; $(FC) -fopenmp -Wall -O3 -o $@ $(OCCXMAIN) ccx_2.9.a $(LIBS)

ccx_2.9.a: $(OCCXF) $(OCCXC)
	ar vr $@ $?

=== debian/changelog ===
calculix-ccx (2.9-1) unstable; urgency=medium

  * Imported Upstream version 2.9

 -- Wolfgang Fütterer <debian@wlf-online.de>  Wed, 25 Nov 2015 11:20:39 +0100

=== debian/control ===
Source: calculix-ccx
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Wolfgang Fütterer <debian@wlf-online.de>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               gfortran,
               libarpack2-dev,
               libspooles-dev,
               liblapack-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/calculix-ccx.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/calculix-ccx.git
Homepage: http://www.calculix.de

Package: calculix-ccx
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Three-Dimensional Structural Finite Element Program
 CalculiX is a free and open source finite element analysis 
 application that uses a similar input format to Abaqus. It has an implicit and 
 explicit solver and a pre and post processor (CGX).
 This package contains the solver CalculiX CrunchiX (cxx).

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-CCX_VERSION=2.8p2
+CCX_VERSION=2.9
 CCX_SRC=ccx_${CCX_VERSION}/src
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.

## calculix-ccx 2.10

=== ccx_2.10/src/Makefile ===

CFLAGS = -Wall -O3 -fopenmp -I ../../../SPOOLES.2.2 -DARCH="Linux" -DSPOOLES -DARPACK -DMATRIXSTORAGE
FFLAGS = -Wall -O3 -fopenmp

CC=cc
FC=gfortran

.c.o :
	$(CC) $(CFLAGS) -c $<
.f.o :
	$(FC) $(FFLAGS) -c $<

include Makefile.inc

SCCXMAIN = ccx_2.10.c

OCCXF = $(SCCXF:.f=.o)
OCCXC = $(SCCXC:.c=.o)
OCCXMAIN = $(SCCXMAIN:.c=.o)

DIR=../../../SPOOLES.2.2

LIBS = \
       $(DIR)/spooles.a \
	../../../ARPACK/libarpack_INTEL.a \
       -lpthread -lm -lc

ccx_2.10: $(OCCXMAIN) ccx_2.10.a  $(LIBS)
	./date.pl; $(CC) $(CFLAGS) -c ccx_2.10.c; $(FC) -fopenmp -Wall -O3 -o $@ $(OCCXMAIN) ccx_2.10.a $(LIBS)

ccx_2.10.a: $(OCCXF) $(OCCXC)
	ar vr $@ $?

=== debian/changelog ===
calculix-ccx (2.10-1) unstable; urgency=medium

  * [b1c541a] Imported Upstream version 2.10
  * [68861ec] Adjust standards-version
  * [7e746f9] debian/control: Use HTTPS transport protocol for Vcs-Git URI

 -- Wolfgang Fütterer <debian@wlf-online.de>  Mon, 07 Mar 2016 21:52:37 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                libarpack2-dev,
                libspooles-dev,
                liblapack-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/calculix-ccx.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/calculix-ccx.git
+Vcs-Git: https://anonscm.debian.org/debian-science/packages/calculix-ccx.git
 Homepage: http://www.calculix.de
 
 Package: calculix-ccx

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-CCX_VERSION=2.9
+CCX_VERSION=2.10
 CCX_SRC=ccx_${CCX_VERSION}/src
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.

## calculix-ccx 2.11

=== ccx_2.11/src/Makefile ===

CFLAGS = -Wall -O3 -fopenmp -I ../../../SPOOLES.2.2 -DARCH="Linux" -DSPOOLES -DARPACK -DMATRIXSTORAGE -DNETWORKOUT
FFLAGS = -Wall -O3 -fopenmp

CC=cc
FC=gfortran

.c.o :
	$(CC) $(CFLAGS) -c $<
.f.o :
	$(FC) $(FFLAGS) -c $<

include Makefile.inc

SCCXMAIN = ccx_2.11.c

OCCXF = $(SCCXF:.f=.o)
OCCXC = $(SCCXC:.c=.o)
OCCXMAIN = $(SCCXMAIN:.c=.o)

DIR=../../../SPOOLES.2.2

LIBS = \
       $(DIR)/spooles.a \
	../../../ARPACK/libarpack_INTEL.a \
       -lpthread -lm -lc

ccx_2.11: $(OCCXMAIN) ccx_2.11.a  $(LIBS)
	./date.pl; $(CC) $(CFLAGS) -c ccx_2.11.c; $(FC) -fopenmp -Wall -O3 -o $@ $(OCCXMAIN) ccx_2.11.a $(LIBS)

ccx_2.11.a: $(OCCXF) $(OCCXC)
	ar vr $@ $?

=== debian/changelog ===
calculix-ccx (2.11-1build1) artful; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Aug 2017 17:59:43 +0000

calculix-ccx (2.11-1) unstable; urgency=medium

  * [df5e81a] Fixed wrong URI for Vcs-Git field in d/control 
    Thanks to Christian T. Steigies for finding this.
  * [f488ad8] Imported Upstream version 2.11
  * [9057f5f] Update patches to new upstream version
  * [a35a56c] Update d/changelog
  * [bc6be5b] Fixed file path in d/copyright
  * [bf6a7bb] Update standards version

 -- Wolfgang Fütterer <debian@wlf-online.de>  Mon, 08 Aug 2016 15:00:23 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-CCX_VERSION=2.10
+CCX_VERSION=2.11
 CCX_SRC=ccx_${CCX_VERSION}/src
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.

=== debian/tests/control ===
Tests: build1
Depends: calculix-ccx

=== debian/watch ===
version=3
http://www.dhondt.de/ccx_(\d.*)\.src\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## calculix-ccx 2.17

=== ccx_2.17/src/Makefile ===

CFLAGS = -Wall -O2  -I ../../../SPOOLES.2.2 -DARCH="Linux" -DSPOOLES -DARPACK -DMATRIXSTORAGE -DNETWORKOUT
FFLAGS = -Wall -O2

CC=cc
FC=gfortran

.c.o :
	$(CC) $(CFLAGS) -c $<
.f.o :
	$(FC) $(FFLAGS) -c $<

include Makefile.inc

SCCXMAIN = ccx_2.17.c

OCCXF = $(SCCXF:.f=.o)
OCCXC = $(SCCXC:.c=.o)
OCCXMAIN = $(SCCXMAIN:.c=.o)

DIR=../../../SPOOLES.2.2

LIBS = \
       $(DIR)/spooles.a \
	../../../ARPACK/libarpack_INTEL.a \
       -lpthread -lm -lc

ccx_2.17: $(OCCXMAIN) ccx_2.17.a  $(LIBS)
	./date.pl; $(CC) $(CFLAGS) -c ccx_2.17.c; $(FC)  -Wall -O2 -o $@ $(OCCXMAIN) ccx_2.17.a $(LIBS)

ccx_2.17.a: $(OCCXF) $(OCCXC)
	ar vr $@ $?

=== debian/changelog ===
calculix-ccx (2.17-3) unstable; urgency=medium

  * Team upload.
  * Propagate hardening options by adding LDFLAGS
    - This fixes failures with blhc and is intended
      as a targeted fix
  * Declare compliance with policy 4.5.1
  * Bump watch file version to 4
  * switch gnu license URL to more secure https

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 11 Feb 2021 18:49:17 +0530

calculix-ccx (2.17-2) unstable; urgency=high

  * Team Upload.
  * Do not diff results on arches other than amd64
    due to float point rounding errors (Closes: #982096)
  * Add salsa-ci.yml
  * Urgency is set to high for bullseye migration

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 07 Feb 2021 12:49:20 +0530

calculix-ccx (2.17-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Remove unnecessary 'Testsuite: autopkgtest' header.
  * Trim trailing whitespace.

  [ Kurt Kremitzki ]
  * [5b6f949] Use GCC 10 -fallow-argument-mismatch flag
  * [e4cd5ab] Bump to debhelper compat 13
  * [761310f] Update packaging for 2.17
  * [f4df756] New upstream version 2.17
  * [acb2e1e] Refresh patches

 -- Kurt Kremitzki <kkremitzki@debian.org>  Thu, 06 Aug 2020 21:12:25 -0500

=== debian/control ===
Source: calculix-ccx
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Wolfgang Fütterer <debian@wlf-online.de>, Kurt Kremitzki <kkremitzki@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               gfortran,
               libarpack2-dev,
               libspooles-dev,
               liblapack-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/calculix-ccx
Vcs-Git: https://salsa.debian.org/science-team/calculix-ccx.git
Homepage: http://www.calculix.de

Package: calculix-ccx
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Three-Dimensional Structural Finite Element Program
 CalculiX is a free and open source finite element analysis
 application that uses a similar input format to Abaqus. It has an implicit and
 explicit solver and a pre and post processor (CGX).
 This package contains the solver CalculiX CrunchiX (cxx).

=== debian/rules ===
#!/usr/bin/make -f
CCX_VERSION=2.17
CCX_SRC=ccx_${CCX_VERSION}/src
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
# DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

UPSTREAM_CFLAGS = -Wall -I/usr/include/spooles -DARCH="Linux" -DSPOOLES -DARPACK -DMATRIXSTORAGE -DUSE_MT=1
UPSTREAM_FFLAGS = -fallow-argument-mismatch

%:
	dh $@ -D${CCX_SRC}

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(UPSTREAM_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)" \
	    FFLAGS="$(UPSTREAM_FFLAGS) $(FFLAGS)"

override_dh_auto_install:
	cp -v ${CCX_SRC}/ccx_${CCX_VERSION} ${CCX_SRC}/ccx

override_dh_auto_clean:
	rm -f ${CCX_SRC}/*.o
	rm -f ${CCX_SRC}/*.a
	rm -f ${CCX_SRC}/ccx_${CCX_VERSION}
	rm -f ${CCX_SRC}/ccx

=== debian/tests/control ===
Tests: build1
Depends: calculix-ccx
Restrictions: allow-stderr

## calculix-ccx 2.19

=== ccx_2.19/src/Makefile ===

CFLAGS = -Wall -O2  -I ../../../SPOOLES.2.2 -DARCH="Linux" -DSPOOLES -DARPACK -DMATRIXSTORAGE -DNETWORKOUT
FFLAGS = -Wall -O2

CC=cc
FC=gfortran

.c.o :
	$(CC) $(CFLAGS) -c $<
.f.o :
	$(FC) $(FFLAGS) -c $<

include Makefile.inc

SCCXMAIN = ccx_2.19.c

OCCXF = $(SCCXF:.f=.o)
OCCXC = $(SCCXC:.c=.o)
OCCXMAIN = $(SCCXMAIN:.c=.o)

DIR=../../../SPOOLES.2.2

LIBS = \
       $(DIR)/spooles.a \
	../../../ARPACK/libarpack_INTEL.a \
       -lpthread -lm -lc

ccx_2.19: $(OCCXMAIN) ccx_2.19.a  $(LIBS)
	./date.pl; $(CC) $(CFLAGS) -c ccx_2.19.c; $(FC)  -Wall -O2 -o $@ $(OCCXMAIN) ccx_2.19.a $(LIBS) -fopenmp

ccx_2.19.a: $(OCCXF) $(OCCXC)
	ar vr $@ $?

=== debian/changelog ===
calculix-ccx (2.19-1) unstable; urgency=medium

  * Team Upload.
  * [a93d85a] New upstream version 2.19
  * [27665b6] Bump Standards-Version to 4.6.0 (no changes needed)
  * [16b7082] Re-diff and re-apply patches
  * [03fb04f] d/{rules,copyright}: change refs from 2.17->2.19

 -- Nilesh Patra <nilesh@debian.org>  Wed, 13 Apr 2022 18:13:03 +0530

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libarpack2-dev,
                libspooles-dev,
                liblapack-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/calculix-ccx
 Vcs-Git: https://salsa.debian.org/science-team/calculix-ccx.git

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-CCX_VERSION=2.17
+CCX_VERSION=2.19
 CCX_SRC=ccx_${CCX_VERSION}/src
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.

## calculix-ccx 2.20

=== ccx_2.20/src/Makefile ===

CFLAGS = -Wall -O2  -I ../../../SPOOLES.2.2 -DARCH="Linux" -DSPOOLES -DARPACK -DMATRIXSTORAGE -DNETWORKOUT
FFLAGS = -Wall -O2

CC=cc
FC=gfortran

.c.o :
	$(CC) $(CFLAGS) -c $<
.f.o :
	$(FC) $(FFLAGS) -c $<

include Makefile.inc

SCCXMAIN = ccx_2.20.c

OCCXF = $(SCCXF:.f=.o)
OCCXC = $(SCCXC:.c=.o)
OCCXMAIN = $(SCCXMAIN:.c=.o)

DIR=../../../SPOOLES.2.2

LIBS = \
       $(DIR)/spooles.a \
	../../../ARPACK/libarpack_INTEL.a \
       -lpthread -lm -lc

ccx_2.20: $(OCCXMAIN) ccx_2.20.a  $(LIBS)
	./date.pl; $(CC) $(CFLAGS) -c ccx_2.20.c; $(FC)  -Wall -O2 -o $@ $(OCCXMAIN) ccx_2.20.a $(LIBS) -fopenmp

ccx_2.20.a: $(OCCXF) $(OCCXC)
	ar vr $@ $?

=== debian/changelog ===
calculix-ccx (2.20-1) unstable; urgency=medium

  * Team Upload.
  * [59db51c] New upstream version 2.20
  * [b422641] d/{rules,copyright,calculix-ccx.install}: change refs
    from 2.19->2.20
  * [ff1363a] Re-diff and re-apply patches
  * [5caa349] Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 12 Sep 2022 20:03:24 +0530

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libarpack2-dev,
                libspooles-dev,
                liblapack-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/calculix-ccx
 Vcs-Git: https://salsa.debian.org/science-team/calculix-ccx.git

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-CCX_VERSION=2.19
+CCX_VERSION=2.20
 CCX_SRC=ccx_${CCX_VERSION}/src
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.

## calculix-ccx 2.21

=== ccx_2.21/src/Makefile ===

CFLAGS = -Wall -O2  -I ../../../SPOOLES.2.2 -DARCH="Linux" -DSPOOLES -DARPACK -DMATRIXSTORAGE -DNETWORKOUT
FFLAGS = -Wall -O2

CC=cc
FC=gfortran

.c.o :
	$(CC) $(CFLAGS) -c $<
.f.o :
	$(FC) $(FFLAGS) -c $<

include Makefile.inc

SCCXMAIN = ccx_2.21.c

OCCXF = $(SCCXF:.f=.o)
OCCXC = $(SCCXC:.c=.o)
OCCXMAIN = $(SCCXMAIN:.c=.o)

DIR=../../../SPOOLES.2.2

LIBS = \
       $(DIR)/spooles.a \
	../../../ARPACK/libarpack_INTEL.a \
       -lpthread -lm -lc

ccx_2.21: $(OCCXMAIN) ccx_2.21.a  $(LIBS)
	./date.pl; $(CC) $(CFLAGS) -c ccx_2.21.c; $(FC)  -Wall -O2 -o $@ $(OCCXMAIN) ccx_2.21.a $(LIBS) -fopenmp

ccx_2.21.a: $(OCCXF) $(OCCXC)
	ar vr $@ $?

=== debian/changelog ===
calculix-ccx (2.21-1) unstable; urgency=medium

  * Team Upload.
  * [9298961] New upstream version 2.21
  * [bc83779] Bump Standards-Version to 4.6.2 (no changes needed)
  * [c60f06a] Re-diff and re-apply patches
  * [9934fbe] d/{rules,copyright,calculix-ccx.install}: change refs
    from 2.20->2.21
  * [319a9ab] Add patch to get calculix-ccx building
  * [de9d3a7] Forward spell fixes
  * [74ae13b] Update autopkgtest ref to also include the number
    of steps (change with new version)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 15 Mar 2024 22:58:52 +0530

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libarpack2-dev,
                libspooles-dev,
                liblapack-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/calculix-ccx
 Vcs-Git: https://salsa.debian.org/science-team/calculix-ccx.git

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-CCX_VERSION=2.20
+CCX_VERSION=2.21
 CCX_SRC=ccx_${CCX_VERSION}/src
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.

=== debian/watch ===
version=4
http://www.dhondt.de/ccx_(\d.*)\.src\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
